EC_STRVEC_SET(3)

NAME
ec_strvec_set - Set a string in the vector at specified index.

SYNOPSIS
#include <ecoli/strvec.h>

int ec_strvec_set(
    struct ec_strvec   *strvec,  /* The pointer to the string vector. */
    size_t              idx,     /* The index of the string to set. */
    const char         *s        /* The string to be set. */
);

RETURN VALUE

0 on success or -1 on error (errno is set).

SEE ALSO

ec_strvec_set_attrs(3), ec_strvec_del_last(3), ec_strvec_val(3), ec_strvec_cmp(3), ec_strvec_sort(3), ec_strvec_from_array(3), ec_strvec_get_attrs(3), ec_strvec_dup(3), ec_strvec_len(3), ec_strvec_dump(3), ec_strvec_sh_lex_str(3), ec_strvec_add(3), ec_strvec_free(3), ec_strvec(3), ec_strvec_ndup(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.